View Issue Details

IDProjectCategoryView StatusLast Update
0004727Talerwallet (WebExtensions)public2016-11-20 03:26
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.1 
Target Version0.2Fixed in Version0.2 
Summary0004727: refactor and document emscriptif.ts
Description- replace mixinStatic/mixin with more ideomatic ES6/TypeScript
- clarify memory allocation (ownership / weak objects / nativePtr vs getNative)
- add docstrings and maybe a few paragraphs about the architecture
- clarify the way objects are created (fromCrock, create, fromString, constructor, ...)
TagsNo tags attached.

Activities

Florian Dold

2016-11-17 22:46

manager   ~0011522

Fixed in fc02843

Issue History

Date Modified Username Field Change
2016-10-13 01:30 Florian Dold New Issue
2016-10-13 01:30 Florian Dold Status new => assigned
2016-10-13 01:30 Florian Dold Assigned To => Florian Dold
2016-10-13 01:31 Florian Dold Description Updated View Revisions
2016-10-13 01:33 Florian Dold Summary refactor emscriptif.ts => refactor and document emscriptif.ts
2016-10-13 01:33 Florian Dold Description Updated View Revisions
2016-10-13 01:34 Florian Dold Description Updated View Revisions
2016-10-13 01:59 Christian Grothoff Severity minor => tweak
2016-10-13 01:59 Christian Grothoff Product Version => 0.1
2016-10-13 01:59 Christian Grothoff Target Version => 0.2
2016-11-17 22:46 Florian Dold Status assigned => resolved
2016-11-17 22:46 Florian Dold Resolution open => fixed
2016-11-17 22:46 Florian Dold Note Added: 0011522
2016-11-18 00:14 Christian Grothoff Fixed in Version => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed